Names are not fully normalized by current normalizedName getters of jsProtoHelper

RESOLVED FIXED in 0.3a2

Status

Chat Core
General
RESOLVED FIXED
4 years ago
4 years ago

People

(Reporter: florian, Unassigned)

Tracking

Firefox Tracking Flags

(Not tracked)

Details

*** Original post on bio 662 at 2011-01-23 15:19:00 UTC ***

The current normalizedName getters just do name.toLowerCase(), this is not enough.
It should at least remove insignificant whitespaces, and maybe do some special handling of some characters. I have '/' in mind which causes issues in the logger code when trying to create a file or folder. Not sure if that should be special cased in the logger or should be handled as part of the name normalization. There may be other characters that we don't want in normalized names.
*** Original post on bio 662 at 2011-02-24 19:08:50 UTC ***

This is fixed in http://hg.instantbird.org/instantbird/rev/4e3765a57e17 by removing all /[^a-z0-9]/gi from strings (i.e. leaving only letters & numbers).
Status: NEW → RESOLVED
Last Resolved: 4 years ago
Resolution: --- → FIXED
*** Original post on bio 662 at 2011-04-13 16:04:37 UTC ***

Cleaning up some old bugs to add milestones.
Target Milestone: --- → 0.3a2
You need to log in before you can comment on or make changes to this bug.